<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="FAQs">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="If you are running Metasploit Pro on a Linux system, you need to install the virtual frame buffer, or Xvfb, package to generate image previews in the campaigns report." /><title>Why can’t I view an image preview of my web pages in the campaigns report?</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#19-faqs/faq-se-xvfb-package.html">Open topic with navigation</a>
        </p>
        <h3 class="FAQ">Why can’t I view an image preview of my web pages in the campaigns report?</h3>
        <p>If you are running <span class="VariablesProductName">Metasploit Pro</span> on a Linux system, you need to install the virtual frame buffer, or Xvfb, package to generate image previews in the campaigns report.</p>
        <p>To install the Xvfb package on Ubuntu, open a terminal and run the following command:</p>
        <p class="indentCode">$ sudo apt-get install xvfb</p>
        <p>To install the Xvfb package on CentOS, open a terminal and run the following command:</p>
        <p class="indentCode">$ sudo yum install xorg-x11-server-Xvfb</p>
        <p> 
If you are on Windows or if you are on Linux and have the Xvfb package installed, and the image preview is not being generated, it may be because the web page component uses an attack module. If the campaign uses a web page attack, a preview for the web page will not be generated for the report. </p>
    </body>
</html>